org.eclipse.emf.facet.widgets.table.ui

## Interface ITableWidgetFactory

    public interface ITableWidgetFactory

This interface allows the user to create an EMF Facet ITableWidget.

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ITableWidgetFactory` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`ITableWidget` `createTableWidget(Composite parent, IEditingDomainProvider edProvider, Table tableInstance, MenuManager menuMgr)` This method instantiates a new `ITableWidget` initialized with the given parameters.

### Field Detail

#### INSTANCE

    static final ITableWidgetFactory INSTANCE

### Method Detail

#### createTableWidget

    ITableWidget createTableWidget(Composite parent,
                                   IEditingDomainProvider edProvider,
                                   Table tableInstance,
                                   MenuManager menuMgr)

This method instantiates a new `ITableWidget` initialized with the given parameters.

Parameters:
  `parent` - the SWT Composite in which the table will be created
  `edProvider` - provides an editing domain for enabling editing in the table
  `tableInstance` - an instance of the `Table` model element, that represents the table's data model which contains all the needed information to open a table
  `menuMgr` - a menu manager used for creating the table's context menu
Returns:
  a new `ITableWidget` instance